# Poco

# class Base64EncoderIOS

Library: Foundation
Package: Streams
Header: Poco/Base64Encoder.h

## Description

The base class for Base64Encoder.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: Base64Encoder

## Member Summary

Member Functions: close, rdbuf

## Constructors

### Base64EncoderIOS

Base64EncoderIOS(
std::ostream & ostr
);

## Destructor

### ~Base64EncoderIOS

~Base64EncoderIOS();

## Member Functions

### close

int close();

### rdbuf

Base64EncoderBuf * rdbuf();

## Variables

### _buf

Base64EncoderBuf _buf;